/* =========================
   GRID
========================= */
.products-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 2rem;
}

/* si la última card queda sola */
.product-card:last-child:nth-child(odd) {
  grid-column: 1 / -1;
}

/* =========================
   PRODUCTS-TITLE
========================= */
.products_title {
  text-align: center;
  background-color: var(--bgc-card);
  padding: 2rem 5rem;
  margin: 0 auto;
  margin-bottom: 5rem;
  border-radius: var(--border-r-tittle);
  box-shadow: var(--card-shadow);
}

.products_title h2 {
  margin-bottom: 1rem;
}

.products_title p {
  font-size: var(--fs-text);
  font-weight: 500;
}

/* =========================
   CARD
========================= */
.product-card {
  display: flex;
  gap: 5rem;
  align-items: center;
  background: var(--bgc-card);
  padding: 2rem;
  border-radius: var(--border-r);
  transition: 0.3s ease;
  box-shadow: var(--card-shadow);
}

/* =========================
   IMAGEN
========================= */
.card-img {
  display: flex;
  align-items: center;
  justify-content: center;
}

.card-img img {
  width: 20rem;
  height: 20rem;
  object-fit: contain;
  display: block;
}
/* =========================
   TEXTO
========================= */
.card-text {
  flex: 1;
  display: flex;
  flex-direction: column;
  height: 100%;
}

.card-text h3 {
  color: var(--color-primary);
  margin-bottom: 1rem;
}

.card-text p {
  text-align: justify;
  margin-bottom: 2rem;
}

.card-text ul {
  list-style: none;
  margin-bottom: 2rem;
}

.card-text ul li {
  color: var(--color-text);
  line-height: 3.2rem;
  font-size: var(--fs-text);
}

.data-link,
.data-link-group {
  align-self: flex-start;
  margin-top: auto;
}

/* =========================
   PRODUCTS-GRID-UNIX
========================= */
.unix-cards {
  display: flex;
  justify-content: space-between;
  background-color: var(--bgc-card);
  border-radius: var(--border-r);
  padding: 2rem;
  gap: 2rem;
  box-shadow: var(--card-shadow);
}

.unix-cards article {
  display: flex;
  flex-direction: column;
  align-items: center;
  row-gap: 2rem;
  border-radius: var(--border-r);
}

.unix-cards article img {
  width: 20rem;
}

.unix-cards article ul {
  list-style: none;
  text-align: center;
}

.unix-cards article h3 {
  text-align: center;
  font-size: var(--fs-h3);
}

.unix-cards article p,
.unix-cards article ul li {
  font-size: var(--fs-text);
  color: var(--color-text);
  line-height: 3.2rem;
  font-size: var(--fs-text);
}

.unix-cards article a {
  margin: 0 auto;
}

/* =========================
   ACORDEÓN
========================= */
.accordion {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  margin-bottom: 2rem;
}

.accordion-btn {
  width: 100%;
  padding: 0.8rem 1rem;
  background: var(--bgc-card);
  color: white;
  border: none;
  border-radius: 8px;
  font-size: var(--fs-text);
  cursor: pointer;
  display: flex;
  justify-content: space-between;
  align-items: center;
  transition: 0.3s ease;
  background-color: var(--color-primary);
}

.accordion-btn:hover {
  background: red;
}

/* contenido oculto */
.accordion-content {
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.3s ease;
}

/* cuando está activo */
.accordion.active .accordion-content {
  max-height: fit-content; /* suficiente para el contenido */
}

/* grid de modelos */
.models-grid {
  padding: 1rem;
}

.models-grid p:first-of-type {
  margin: 0;
  font-weight: normal;
}

.models-grid p,
.models-grid ul {
  font-size: var(--fs-text);
  margin: 0;
}

/*Tabal*/

.specs-table-wrapper {
  overflow-x: auto;
}

.specs-table {
  width: 100%;
  border-collapse: collapse;
  background: rgb(35, 35, 35);
  border-radius: 12px;
  overflow: hidden;
}

.specs-table thead {
  background: var(--color-primary);
}

.specs-table th {
  color: white;
  text-align: left;
  padding: 1.2rem;
  font-size: 1.5rem;
  font-weight: 700;
}

.specs-table td {
  color: white;
  padding: 1.2rem;
  font-size: 1.5rem;
  border-top: 1px solid rgba(255,255,255,0.08);
}

.specs-table tbody tr:nth-child(even) {
  background: rgba(255,255,255,0.03);
}

.specs-table tbody tr:hover {
  background: rgba(225, 34, 41, 0.12);
}

/* =========================
   RESPONSIVE
========================= */

/* Tablet */
@media (max-width: 1280px) {
  .products-grid {
    grid-template-columns: 1fr;
  }
}

@media (max-width: 768px) {
  .products_title {
    padding: 1.5rem 4rem;
    margin-bottom: 3rem;
  }

  .product-card {
    gap: 3rem;
  }

  .products-grid-unix {
    padding: 1.2rem;
    margin: 3rem auto;
  }

  /* ADJUSTABLE */
  .unix-cards {
    flex-direction: column;
    gap: 2rem;
  }

  .unix-cards {
    width: 100%;
    gap: 5rem;
  }

  .card-img img,
  .unix-cards article img {
    width: 16rem;
    align-self: center;
  }

  .unix-cards article img {
    margin-bottom: 1rem;
  }

  .specs-table th,
  .specs-table td {
    font-size: 1.4rem;
    padding: 1rem;
  }
}

/* Mobile */
@media (max-width: 620px) {
  .product-card {
    flex-direction: column;
    text-align: center;
  }

  .card-img img,
  .unix-cards article img {
    width: 14rem;
    height: auto;
  }

  .card-text {
    flex: 1;
    display: flex;
    flex-direction: column;
    height: 100%;
  }

  .card-text h3 {
    margin-bottom: 2rem;
  }

  .card-text p {
    text-align: justify;
    margin-bottom: 2rem;
  }

  .card-text ul {
    list-style: none;
  }

  .data-link,
  .data-link-group {
    align-self: center;
    margin-top: auto;
  }
}

@media (max-width: 480px) {
  .products_title {
    padding: 1rem 3rem;
  }

  .card-img img,
  .unix-cards article img {
    width: 12rem;
  }
}
